
/**
 * Vysvetleni dotazu o pretizeni (overloading) vs. promenny pocet parametru
 * 
 * @author Radek Oslejsek
 */
public class Varargs
{
    public static void foo(int x, int y) {
        System.out.println("foo(int, int)");
    }

    /*
    public static int foo(int x, int y) { // CHYBA: toto nestaci k pretizeni
        System.out.println("foo(int, int)");
    }
    */

   public static void foo(double x, double y) { // OK
        System.out.println("foo(double, double)");
    }
    
    /*
    public static void foo(float x, float y) { // OK
        System.out.println("foo(float, float)");
    }
    */ 
    
    public static void foo(int ... x) {
        System.out.println("foo(int ...)");
    }
    
    public static void foo(double ... x) {
        System.out.println("foo(double ...)");
    }
   
    public static void main(String[] args) {
        foo(1,8);
        foo(1,4,5);
        foo(6,6,4,2,4,5,6,7,7,54,3,3);
    }
}
